Undeploy a war/ear file for the application
DELETE/qsystem/rest/config/applications/:applicationId/deployment/:fileName
Undeploy a war/ear file for the application. The path parameter fileName must match the name (including the file extension) of a valid deployed war/ear file for the specified application.
You can only undeploy applications that have been deployed via this rest api.
curl -u user:password -i -X DELETE http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/deployment/{fileName}
For example, if there exists an application whose path is application1, which has a deployed war file called
Application1-admin.war. If you wish to undeploy the file Application1-admin.war, then the REST
call would be like: curl -u user:password -i -X DELETE http://orchestra-host:orchestra-port/qsystem/rest/config/applications/application1/deployment/Application1-admin.war
Request
Responses
- 204
Success